# pancakes' setup

![Screenshot of my setup running on my PC](screenshot.png)

This is the setup that I use for my personal Arch Linux setup. This includes my window manager and frequently used software.

General install steps:

```sh
git clone https://codeberg.org/pancakes/config.git
cd config
just
```

This config expects to be in ~/config and may break if it is not. For a list of packages that I use see my archinstall configs: [amida](https://trypancakes.com/arch/amida.json), [vlam](https://trypancakes.com/arch/vlam.json). On top of this I use the AUR packages: [river-git](https://aur.archlinux.org/packages/river-git), [swaylock-effects-git](https://aur.archlinux.org/packages/swaylock-effects-git), [swww](https://aur.archlinux.org/packages/swww). You should run `just stow` before any of the `setup-` recipes through just.

Each folder in the root of this repository functions as a module with files inside being stowed (symlinked) relative to `~`. For example, when stowing *river*, `river/.config/river/` is symlinked to `~/.config/river`, `river/.config/xdg-desktop-portal/river-portals.conf` to `~/.config/xdg-desktop-portal/river-portals.conf`, and `river/.config/xdg-desktop-portal-wlr/` to `~/.config/xdg-desktop-portal-wlr`.

## General Info

Window Manager: [river](https://github.com/riverwm/river) (Wayland/wlroots) - [config](river/.config/river/init)

Cursor Theme: [Wii Pointer Cursors](https://primm.gay/extras/other/cursors/) (not pictured in screenshot)

Icons: Adwaita

GTK 2/3 Theme: Adwaita (Dark)

Colors: [Tokyo Night (Night)](https://github.com/folke/tokyonight.nvim)

Wallpapers: "OneShot: World Machine Edition" wallpapers

Application Font: Noto Sans

Editor/Terminal Font: [FiraCode Nerd Font](https://github.com/ryanoasis/nerd-fonts/tree/master/patched-fonts/FiraCode)

Bar: [Waybar](https://github.com/Alexays/Waybar) - [config](waybar/.config/waybar/)

Menu: [Fuzzel](https://codeberg.org/dnkl/fuzzel) - [config](fuzzel/.config/fuzzel/fuzzel.ini)

Wallpaper Daemon: [swww](https://github.com/Horus645/swww)

Screen Locker: [swaylock-effects](https://github.com/mortie/swaylock-effects) - [config](swaylock/.config/swaylock/config)

Logout Prompt: [wlogout](https://github.com/ArtsyMacaw/wlogout) - [config](wlogout/.config/wlogout/layout) (plus extra launch options in bar config)

File Manager: [lf](https://github.com/gokcehan/lf) - [config](lf/.config/lf/lfrc) / Thunar

Image/Video Player: [imv](https://sr.ht/~exec64/imv/) / [mpv](https://mpv.io/) - [config](mpv/.config/mpv/mpv.conf)

Editor: [Code - OSS](https://github.com/code-oss-dev/code) - [config](code/.config/Code%20-%20OSS/User/settings.json)

Terminal Emulator: [kitty](https://sw.kovidgoyal.net/kitty/) - [config](kitty/.config/kitty/kitty.conf)

Screenshot tool: [screenshot.sh](screenshot.sh)

Other:

- [BTOP++](https://github.com/aristocratos/btop) - [config](btop/.config/btop/btop.conf)
- [MangoHud](https://github.com/flightlessmango/MangoHud) - [config](mangohud/.config/MangoHud/MangoHud.conf)

## river

### Key binds

#### Applications

kitty (terminal) - Super+Enter

Fuzzel (menu) - Super+D

ranger (files) - Super+E

Thunar (files) - Super+Shift+E

BTOP++ (monitor) - Ctrl+Shift+Escape

Emoji picker - Super+.

ArchWiki in browser - Super+/

#### System

Clipboard history - Super+V

Lock screen - Super+Shift+Escape

Exit session - Super+Alt+Shift+Escape

Screenshot (full) - Print

Screenshot (monitor) - Super+Print

Screenshot (region) - Alt+Print

Toggle microphone mute - Super+M

#### Window

Close focused window - Super+Shift+Q

Focus next/previous window - Super+J / Super+K

Swap next/previous window - Super+Shift+J / Super+Shift+K

Focus previous/next output - Super+H / Super+L

Move focused window to previous/next output - Super+Shift+H / Super+Shift+L

Move focused window to main - Super+I

Decrease/increase main size - Super+- / Super+=

Decrement/increment main count - Super+Shift+- / Super+Shift+=

Switch to tag {1,9} - Super+{1,9}

Move focused window to tag {1,9} - Super+Shift+{1,9}

Show all tags - Super+0

Move focused window to all tags - Super+Shift+0

Set main position (left by default) - Super+Left / Super+Right / Super+Up / Super+Down

Toggle focused window floating - Super+Space

Toggle focused window fullscreen - Super+Shift+Space
